CVE-2004-2256
CVSS5.0
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:43:37
NMCO    

[原文]Directory traversal vulnerability in phpMyFAQ 1.4.0 alpha allows remote attackers to read arbitrary files, and possibly execute local PHP files, via .. sequences in the lang (language) variable.


[CNNVD]phpMyFAQ Lang参数远程目录遍历漏洞(CNNVD-200412-1183)

        
        phpMyFAQ是一款多语言,基于数据库的FAQ系统。
        phpMyFAQ对用户提交给'$lang'参数的数据缺少充分过滤,远程攻击者可以利用这个漏洞以WEB进程权限查看系统文件内容。
        由于对'$lang'参数缺少检查,提交包含'../'字符的数据作为参数,可绕过WEB ROOT限制访问系统文件内容。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2256
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2256
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-1183
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/16223
(PATCH)  XF  phpmyfaq-lang-directory-traversal(16223)
http://www.securityfocus.com/bid/10377
(PATCH)  BID  10377
http://securitytracker.com/id?1010190
(PATCH)  SECTRACK  1010190
http://secunia.com/advisories/11640
(VENDOR_ADVISORY)  SECUNIA  11640
http://www.phpmyfaq.de/advisory_2004-05-18.php
(VENDOR_ADVISORY)  CONFIRM  http://www.phpmyfaq.de/advisory_2004-05-18.php
http://archives.neohapsis.com/archives/fulldisclosure/2004-05/0906.html
(VENDOR_ADVISORY)  FULLDISC  20040518 Advisory 05/2004: phpMyFAQ local file inclusion vulnerability
http://www.securityfocus.com/archive/1/363636
(UNKNOWN)  BUGTRAQ  20040518 Advisory 05/2004: phpMyFAQ local file inclusion vulnerability

- 漏洞信息

phpMyFAQ Lang参数远程目录遍历漏洞
中危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        phpMyFAQ是一款多语言,基于数据库的FAQ系统。
        phpMyFAQ对用户提交给'$lang'参数的数据缺少充分过滤,远程攻击者可以利用这个漏洞以WEB进程权限查看系统文件内容。
        由于对'$lang'参数缺少检查,提交包含'../'字符的数据作为参数,可绕过WEB ROOT限制访问系统文件内容。
        

- 公告与补丁

        厂商补丁:
        phpMyFAQ
        --------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        phpMyFAQ APAR phpMyFAQ 1.4.0-alpha2
        phpMyFAQ
        http://www.phpmyfaq.de/getfaq.php?number=1.4.0&version=alpha2

- 漏洞信息

20287
phpMyFAQ index.php lang Parameter Local File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

phpMyFAQ contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to 'index.php' not properly sanitizing user input supplied to the 'lang' variable. This may allow a remote attacker to include arbitrary files from the local host and view any accessible file on the system resulting in a loss of confidentiality.

- 时间线

2004-05-18 2004-05-16
Unknow Unknow

- 解决方案

Upgrade to version 1.4.0 alpha2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站